pw_link Class Reference

PipeWire link object. More...

## Public Member Functions

const char * | pw_link_state_as_string (enum pw_link_state state)
| Convert a pw_link_state to a readable string. More...
struct pw_link * | pw_link_new (struct pw_core *core, struct pw_port *output, struct pw_port *input, struct spa_pod *format_filter, struct pw_properties *properties, char **error, size_t user_data_size)
| Make a new link between two ports. More...
void | pw_link_destroy (struct pw_link *link)
| Destroy a link. More...
struct pw_link * | pw_link_find (struct pw_port *output, struct pw_port *input)
| Find the link between 2 ports. More...

## Detailed Description

PipeWire link object.

## Member Function Documentation

## pw_link_destroy()

void pw_link_destroy | ( | struct pw_link * | link | ) |

Destroy a link.

## pw_link_find()

struct pw_link * pw_link_find | ( | struct pw_port * | output,
|  | struct pw_port * | input
| ) |  |

Find the link between 2 ports.

## pw_link_new()

struct pw_link * pw_link_new | ( | struct pw_core * | core,
|  | struct pw_port * | output,
|  | struct pw_port * | input,
|  | struct spa_pod * | format_filter,
|  | struct pw_properties * | properties,
|  | char ** | error,
|  | size_t | user_data_size
| ) |  |

Make a new link between two ports.

Returns
  a newly allocated link

Parameters

  core | the core object
  output | an output port
  input | an input port
  format_filter | an optional format filter
  properties | extra properties
  error | error string when result is NULL
  user_data_size | extra user data size

## pw_link_state_as_string()

const char * pw_link_state_as_string | ( | enum pw_link_state | state | ) |

Convert a pw_link_state to a readable string.

The documentation for this class was generated from the following files:

- link.h
- introspect.h